Retrieve a list
Returns a filtered list of contracts.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/contracts
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-contracts.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the contract record. |
person.id |
integer | — | Read-only | Internal ID of the person. |
code |
string | — | Read-only | The contract code. |
from |
string | — | Read-only | Start date of the contract for when it’s active. |
until |
string | — | Read-only | End date of the contract. |
contractHoursInMinutes |
integer | — | Read-only | Contracted hours in minutes. |
fullTimeEquivalentInMinutes |
integer | — | Read-only | The equivalent in minutes for a full-time contract. |
contractPercentage |
number | — | Read-only | Percentage of full-time contract. |
numberOfWorkingDaysPerWeek |
integer | — | Read-only | The number of working days per week. |
numberOfDaysInContractPeriod |
integer | — | Read-only | The number of days in the contract period. |
kind |
string | — | Read-only | The kind of contract (Contract, Addendum). |
parentContract.id |
integer | — | Read-only | Identifier of the parent contract. |
Filters
This list of filters can be used for this endpoint.
| Filter | Type | Description |
|---|---|---|
person |
Optional | Filter by specific person IDs. |
Check the Fetching Resources page on how to use the filter.
External references
The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
contracts |
Not available | Supported |
people |
@badge-number, @employee-number |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter value or invalid external reference |
401 |
Missing or invalid access token, or insufficient scope |
409 |
Invalid continuation token |
Examples
Retrieving all contracts
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/contracts
Retrieving contracts for specific people
Example with person IDs 7478:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/contracts?filter=person eq 7478